Bug 36452 - Patron message does not respect multiple line display
Summary: Patron message does not respect multiple line display
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Philip Orr
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-28 10:29 UTC by Philip Orr
Modified: 2024-04-05 09:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36452: correct display of patron message (1.70 KB, patch)
2024-03-28 10:41 UTC, Philip Orr
Details | Diff | Splinter Review
Bug 36452: correct display of patron message (1.75 KB, patch)
2024-03-28 11:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 36452: correct display of patron message (1.81 KB, patch)
2024-04-01 17:19 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Orr 2024-03-28 10:29:46 UTC
If you add a message (for the staff interface) that contains
multiple lines to a patron, it will be displayed as a single
line in the staff interface.
For instance the following:
"Test1
Test2
Test3"
Will be displayed as "Test1 Test2 Test3" in the staff interface.
Multi-line messages for the OPAC are displayed correctly
in the OPAC as multiple lines. The problem also doesn't seem to
affect the patron notes - those are displayed correctly. Only
the patron messages.
Comment 1 Philip Orr 2024-03-28 10:41:49 UTC
Created attachment 164041 [details] [review]
Bug 36452: correct display of patron message

To test:
1. Before applying the patch:
2. In the staff interface, navigate to a patron
3. Add a new staff message that contains multiple lines (e.g. using enter for the next line)
4. Save the message and check the display.
It will be a single line.
5. Apply the patch and navigate back to the
patron
6. The message should now be displayed as multiple lines.
Comment 2 Philip Orr 2024-03-28 10:48:21 UTC
Credit to joubu for writing the patch, by the way!
Comment 3 Owen Leonard 2024-03-28 11:24:01 UTC
Created attachment 164049 [details] [review]
Bug 36452: correct display of patron message

To test:
1. Before applying the patch:
2. In the staff interface, navigate to a patron
3. Add a new staff message that contains multiple lines (e.g. using
   enter for the next line)
4. Save the message and check the display.
   It will be a single line.
5. Apply the patch and navigate back to the
   patron
6. The message should now be displayed as multiple lines.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2024-04-01 17:19:26 UTC
Created attachment 164216 [details] [review]
Bug 36452: correct display of patron message

To test:
1. Before applying the patch:
2. In the staff interface, navigate to a patron
3. Add a new staff message that contains multiple lines (e.g. using
   enter for the next line)
4. Save the message and check the display.
   It will be a single line.
5. Apply the patch and navigate back to the
   patron
6. The message should now be displayed as multiple lines.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Katrin Fischer 2024-04-05 09:53:13 UTC
Pushed for 24.05!

Well done everyone, thank you!